  // Copyright 2002 Sun Microsystems, Inc. All Rights Reserved.

  // This software is the proprietary information of Sun
  // Microsystems, Inc. Use is subject to license terms.

package converterApp;

import java.math.*;

public class ConverterBean{

    private BigDecimal yenRate;
    private BigDecimal euroRate;
    private BigDecimal yenAmount;
    private BigDecimal euroAmount;    

    /** Creates new ConverterBean */
    public ConverterBean() {
    	yenRate = new BigDecimal ("768.78");
    	euroRate = new BigDecimal (".0084");
        yenAmount = new BigDecimal("0.0");
        euroAmount = new BigDecimal("0.0");
    }

    public BigDecimal getYenAmount () {
        return yenAmount;
    }

    public void setYenAmount(BigDecimal amount) {
        yenAmount = amount.multiply(yenRate);
        yenAmount =  yenAmount.setScale(2,BigDecimal.ROUND_UP);
    }
    
    public BigDecimal getEuroAmount () {
        return euroAmount;
    }

    public void setEuroAmount (BigDecimal amount) {
        euroAmount = amount.multiply(euroRate);
        euroAmount =  euroAmount.setScale(2,BigDecimal.ROUND_UP);
    }

}
