package simplebean;

import java.math.BigDecimal;

public class HelloImpl implements HelloIF {

    public String sayHello(String s) {

        String message = new String("Hello ");
        return new String(message + s);
    }

    public String[] reverse(String[] words) {

        String[] result = new String[words.length];
        int r = 0;
        for (int w = words.length - 1; w >= 0; w--) {
            result[r] = words[w];
            r++;
        }
        return result;
    }

    public BigDecimal calculateInterest(SimpleAccountBean simpleAccount) {

        BigDecimal rate = new BigDecimal("0.05");
        BigDecimal factor = rate.add(new BigDecimal("1.00"));
        BigDecimal newBalance = simpleAccount.getBalance().multiply(factor);
        return newBalance;
    }

}

